> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# People API 搜索

> 使用 People API Search 端点在 Apollo 数据库中查找全新的人员。



## OpenAPI

````yaml openapi/zh/apollo.json POST /apollo/mixed_people/api_search
openapi: 3.0.3
info:
  title: Apollo API
  version: 1.0.0
  description: 通过 AIsa 统一网关公开的 Apollo API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /apollo/mixed_people/api_search:
    post:
      summary: People API 搜索
      description: >-
        使用 People API Search 端点在 Apollo 数据库中查找全新的人员。该端点提供多种过滤器，帮助您缩小搜索范围。此端点针对
        API 使用进行了优化，不消耗额度。此端点主要用于发掘全新的潜在客户。此端点不返回电子邮件地址或电话号码。请使用 People
        Enrichment 或 Bulk People Enrichment 端点扩充数据。此端点需要主 API 密钥。有关如何创建主 API
        密钥，请参阅 Create API Keys。为保障 Apollo 面向所有用户的性能，此端点最多显示 50,000 条记录（每页 100
        条，最多 500 页）。请添加更多过滤器，尽可能缩小搜索结果范围。此限制不会约束您对 Apollo 数据库的访问；您只需分批访问数据。
      operationId: post_apollo_mixed_people_api_search
      parameters:
        - name: person_titles[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            您要查找的人员所担任的职位。人员只需匹配您添加的任意 1
            个职位，即可被纳入搜索结果。添加更多职位可以扩大搜索结果范围。结果还会包含含有相同词语的职位，即使并非完全匹配。例如，搜索
            marketing manager 可能会返回职位为 content marketing manager 的人员。将此参数与
            person_seniorities[] 参数结合使用，可根据特定职能和资历级别查找人员。示例：sales development
            representative；marketing manager；research analyst
        - name: include_similar_titles
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            此参数决定响应中是否返回职位名称与 person_titles[] 参数中定义的职位名称相似的人员。使用 person_titles[]
            时，将此参数设置为 false 可仅返回职位名称严格匹配的结果。
        - name: q_keywords
          in: query
          required: false
          schema:
            type: string
          description: 用于筛选结果的词语字符串。
        - name: person_locations[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            人员的居住地点。可搜索城市、美国各州和国家/地区。如需根据人员当前雇主的总部所在地查找人员，请使用
            organization_locations 参数。示例：california；ireland；chicago
        - name: person_seniorities[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            人员在其当前雇主中的职位资历。这使您能够查找目前处于特定汇报层级的人员，例如 Director 级别或高级 IC
            级别。人员只需匹配您添加的任意 1
            个资历级别即可包含在搜索结果中。添加更多资历级别会扩大搜索结果范围。搜索仅根据人员当前的职位名称返回结果，因此搜索 Director
            级别的员工时，只会返回当前拥有 Director 级别职位名称的人员。如果某人以前是 Director，但目前是
            VP，则不会包含在搜索结果中。将此参数与 person_titles[]
            参数结合使用，可根据特定职能和资历级别查找人员。此参数可使用以下选项：owner founder c_suite partner vp
            head director manager senior entry intern
        - name: organization_locations[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            某人当前雇主的公司总部所在地。您可以搜索城市、美国各州和国家/地区。如果一家公司有多个办公地点，结果仍以总部所在地为准。例如，如果您搜索
            chicago，但某公司的总部位于
            boston，则该波士顿公司中的员工不会出现在结果中，即使他们符合其他参数。要根据个人所在地查找人员，请使用
            person_locations 参数。示例：texas；tokyo；spain
        - name: q_organization_domains_list[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            此人雇主的域名。可以是当前雇主或以前雇主的域名。请勿包含 www.、@ 符号或类似内容。此参数在单个请求中最多接受 1,000
            个域名。示例：apollo.io；microsoft.com
        - name: contact_email_status[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            您要查找的人员的电子邮件状态。您可以添加多个状态以扩大搜索范围。可搜索的状态包括：verified unverified likely
            to engage unavailable
        - name: organization_ids[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            要在搜索结果中包含的公司（雇主）的 Apollo ID。Apollo 数据库中的每家公司都被分配了唯一 ID。要查找 ID，请调用
            Organization Search 端点并确定 organization_id
            的值。示例：5e66b6381e05b4008c8331b8
        - name: organization_num_employees_ranges[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            此人当前所在公司的员工人数范围。您可以借此根据雇主的员工人数查找人员。您可以添加多个范围以扩大搜索结果。添加的每个范围都必须是字符串，范围的上下限数字之间只能用逗号分隔。示例：1,10;
            250,500; 10000,20000
        - name: revenue_range[min]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            人员当前雇主产生的最低营收。将此参数与 revenue_range[max]
            结合使用以设置营收范围。数值中请勿输入货币符号、逗号或小数点。示例：500000；1500000
        - name: revenue_range[max]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            人员当前雇主产生的最高营收。将此参数与 revenue_range[min]
            结合使用以设置营收范围。数值中请勿输入货币符号、逗号或小数点。示例：500000；1500000
        - name: currently_using_all_of_technology_uids[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            根据目标人员当前雇主使用的所有技术查找人员。Apollo 支持按 1,500 多种技术进行筛选。Apollo
            根据多个来源计算技术数据。这些数据会定期更新。下载此 CSV 文件可查看支持的完整技术列表。对于 CSV 文件中列出的技术，请使用下划线
            (_) 替换空格和句点。示例：salesforce; google_analytics; wordpress_org
        - name: currently_using_any_of_technology_uids[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            根据人员当前雇主使用的任意技术查找人员。Apollo 支持按 1,500 多种技术进行筛选。Apollo
            根据多个来源计算技术数据。此数据会定期更新。下载此 CSV 文件可查看支持的技术完整列表。对于 CSV
            文件中列出的技术，请使用下划线（_）替换空格和句点。示例：salesforce; google_analytics;
            wordpress_org
        - name: currently_not_using_any_of_technology_uids[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            根据目标人员当前雇主使用的任意技术，将其从搜索结果中排除。Apollo 支持按 1,500 多种技术进行筛选。Apollo
            根据多个来源计算技术数据。这些数据会定期更新。下载此 CSV 文件可查看支持的完整技术列表。对于 CSV 文件中列出的技术，请使用下划线
            (_) 替换空格和句点。示例：salesforce; google_analytics; wordpress_org
        - name: q_organization_job_titles[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: 此人当前雇主发布的有效招聘职位中列出的职位名称。示例：销售经理；研究分析师
        - name: organization_job_locations[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: 此人的雇主正在积极招聘的职位所在地。示例：atlanta；japan
        - name: organization_num_jobs_range[min]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            此人当前雇主发布的有效职位的最小数量。将此参数与 organization_num_jobs_range[max]
            结合使用，以设置职位发布数量范围。示例：50；500
        - name: organization_num_jobs_range[max]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            此人当前雇主的有效招聘职位数量上限。请将此参数与 organization_num_jobs_range[min]
            结合使用，以设置招聘职位数量范围。示例：50；500
        - name: organization_job_posted_at_range[min]
          in: query
          required: false
          schema:
            type: string
          description: >-
            此人当前雇主发布职位的最早日期。将此参数与 organization_job_posted_at_range[max]
            结合使用，可设置职位发布日期范围。示例：2025-07-25
        - name: organization_job_posted_at_range[max]
          in: query
          required: false
          schema:
            type: string
          description: >-
            人员当前雇主发布职位的最晚日期。请将此参数与 organization_job_posted_at_range[min]
            结合使用，以设置职位发布日期范围。示例：2025-09-25
        - name: page
          in: query
          required: false
          schema:
            type: integer
          description: 要检索的 Apollo 数据页码。将此参数与 per_page 参数结合使用，使搜索结果可分页浏览并提高端点性能。示例：4
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
          description: 每页应返回的搜索结果数量。限制每页的结果数量可提高端点性能。使用 page 参数搜索不同的数据页。示例：10
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_entries:
                    type: integer
                    description: 响应字段
                  people:
                    type: array
                    items:
                      type: string
                    description: 响应数组
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````